#pragma once

#include "play/play.h"

#include "../resource/resource_shader.h"
#include "../resource/resource_texture.h"

static const ShaderType* STATE_SHADERS[STATE_COUNT] =
{
	PLAY_SHADERS
};

static const u32 STATE_SHADER_COUNT[STATE_COUNT] = 
{
	PLAY_SHADER_COUNT
};

static const TextureType* STATE_TEXTURES[STATE_COUNT] =
{
	PLAY_TEXTURES
};

static const u32 STATE_TEXTURE_COUNT[STATE_COUNT] =
{
	PLAY_TEXTURE_COUNT
};

void state_change(State* state, StateType type);
void state_init(State* state, Game* game, StateType type);
void state_free(State* state);
